de.vc.io.rtf.parser

## Class FilterTokenHandler

- java.lang.Object
- - de.vc.io.rtf.parser.TokenHandler
  - - de.vc.io.rtf.parser.FilterTokenHandler

-     public class FilterTokenHandler
      extends TokenHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TokenHandler` | `handler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterTokenHandler(TokenHandler handler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleBraceClosed()`
    `void` | `handleBraceOpened()`
    `boolean` | `handleControl(Token t)`
    `boolean` | `handleText(java.lang.String text, ParserState state)`

    - ### Methods inherited from class de.vc.io.rtf.parser.TokenHandler

      `getDefaultEncoding, getDefinitions, getTextEncoding, handleOptionalHyphen, handleText, handleToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### handler

          protected TokenHandler handler

  - ### Constructor Detail

    - #### FilterTokenHandler

          public FilterTokenHandler(TokenHandler handler)

  - ### Method Detail

    - #### handleBraceOpened

          public void handleBraceOpened()

      Specified by:
        `handleBraceOpened` in class `TokenHandler`

    - #### handleBraceClosed

          public void handleBraceClosed()

      Specified by:
        `handleBraceClosed` in class `TokenHandler`

    - #### handleControl

          public boolean handleControl(Token t)

      Specified by:
        `handleControl` in class `TokenHandler`

    - #### handleText

          public boolean handleText(java.lang.String text,
                           ParserState state)

      Specified by:
        `handleText` in class `TokenHandler`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.